ar/Billing
واجهة Billing Usage API (تجريبية)
Get paginated billing usage data for the authenticated user. NOTE: This is a beta endpoint and may be subject to change.
GET
/api/v1/billing/usage
تُصدِّر بيانات الاستخدام لمستخدم ما. يمكن العثور على أوصاف حقول الاستجابة أدناه:
- timestamp: الطابع الزمني الذي تم فيه إنشاء سجل استخدام الفوترة
- sku: المنتج المرتبط بسجل استخدام الفوترة
- pricePerUnitUsd: سعر الوحدة بالدولار الأمريكي
- unit: عدد الوحدات المستهلكة
- amount: المبلغ الإجمالي المُحاسَب عليه لسجل استخدام الفوترة
- currency: العملة المُحاسَب بها سجل استخدام الفوترة
- notes: ملاحظات حول سجل استخدام الفوترة
- inferenceDetails.requestId: معرّف الطلب المرتبط بعملية الاستدلال
- inferenceDetails.inferenceExecutionTime: الوقت المستغرق لتنفيذ الاستدلال بالميلي ثانية
- inferenceDetails.promptTokens: عدد الـ tokens المطلوبة في الـ prompt. متوفر فقط لاستخدام نماذج LLM.
- inferenceDetails.completionTokens: عدد الـ tokens المستخدمة في الإكمال. متوفر فقط لاستخدام نماذج LLM.
التفويضات
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
الترويسات
Accept header to specify the response format
مثال:
"application/json, text/csv"
معلمات الاستعلام
Filter by currency
الخيارات المتاحة:
USD, VCU, DIEM, BUNDLED_CREDITS مثال:
"USD"
End date for filtering records (ISO 8601)
مثال:
"2024-12-31T23:59:59.000Z"
Number of items per page
النطاق المطلوب:
0 < x <= 500مثال:
200
Page number for pagination
النطاق المطلوب:
x > 0مثال:
1
Sort order for createdAt field
الخيارات المتاحة:
asc, desc مثال:
"desc"
Start date for filtering records (ISO 8601)
مثال:
"2024-01-01T00:00:00.000Z"
السابق
تحليلات استخدام الفوترة (بيتا)**Beta**: This endpoint is currently in beta and may be unstable. Request/response schemas and behavior may change without notice.
Get aggregated usage analytics for the authenticated user with breakdowns by date, model, and API key. This endpoint provides summary views of your API usage, ideal for dashboards and usage monitoring. Data is cached for 10 minutes.
التالي
/api/v1/billing/usage